%define major     3
%define libxfixes %mklibname xfixes %{major}
%define devxfixes %mklibname xfixes -d

Name:           libxfixes
Summary:        X Fixes  Library
Version:        6.0.1
Release:        %mkrel 1
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/lib/libXfixes-%{version}.tar.xz
BuildRequires:  pkgconfig(x11) >= 1.0.0
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1

%description
%{name} is a simple library designed to interface the X Fixes Extension.

#-----------------------------------------------------------

%package -n %{libxfixes}
Summary:        X Fixes  Library
Group:          System/Libraries
Provides:       %{name} = %{version}

%description -n %{libxfixes}
%{name} is a simple library designed to interface the X Fixes Extension.

%files -n %{libxfixes}
%{_libdir}/libXfixes.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{devxfixes}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libxfixes} = %{version}-%{release}
Provides:       libxfixes-devel = %{version}-%{release}
Provides:       xfixes-devel = %{version}-%{release}

%description -n %{devxfixes}
Development files for %{name}.

%files -n %{devxfixes}
%{_libdir}/libXfixes.so
%{_libdir}/pkgconfig/xfixes.pc
%{_includedir}/X11/extensions/Xfixes.h
%{_mandir}/man3/Xfixes.*

#-----------------------------------------------------------

%prep
%setup -q -n libXfixes-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install


%changelog
* Wed Jan 01 2025 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2134309
- new version: 6.0.1

* Sat Mar 19 2022 umeabot <umeabot> 6.0.0-2.mga9
+ Revision: 1800334
- Mageia 9 Mass Rebuild

* Mon Aug 02 2021 luigiwalser <luigiwalser> 6.0.0-1.mga9
+ Revision: 1738663
- 6.0.0
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 5.0.3-3.mga8
+ Revision: 1514626
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 5.0.3-2.mga7
+ Revision: 1299247
- Mageia 7 Mass Rebuild

* Wed Oct 05 2016 tv <tv> 5.0.3-1.mga6
+ Revision: 1058894
- new release

* Fri May 27 2016 tv <tv> 5.0.2-1.mga6
+ Revision: 1018868
- new release

* Fri Feb 05 2016 umeabot <umeabot> 5.0.1-6.mga6
+ Revision: 938310
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 741780
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 681879
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 532714
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 5.0.1-2.mga4
+ Revision: 469404
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Thu May 30 2013 tv <tv> 5.0.1-1.mga4
+ Revision: 433346
- new release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 5.0-4.mga3
+ Revision: 397156
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 5.0-3.mga3
+ Revision: 358574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 21 2011 fwang <fwang> 5.0-2.mga2
+ Revision: 170300
- drop .la files

* Tue Apr 12 2011 tv <tv> 5.0-1.mga1
+ Revision: 83576
- new release
+ rtp <rtp>
- Drop ldconfig scripts
- imported package libxfixes


* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 4.0.5-1mdv2011.0
+ Revision: 556456
- new release

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 4.0.4-1mdv2010.1
+ Revision: 463609
- new release

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.0.3-5mdv2010.0
+ Revision: 425898
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 4.0.3-4mdv2009.0
+ Revision: 223073
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 4.0.3-3mdv2008.1
+ Revision: 151684
- Update BuildRequires and rebuild.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 4.0.3-2mdv2008.1
+ Revision: 129248
- kill re-definition of %%buildroot on Pixel's request
- fix man pages extension


* Fri Feb 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 4.0.3-2mdv2007.0
+ Revision: 121698
- bump release

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 4.0.3-1mdv2007.1
+ Revision: 85952
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

